import "../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { axisConfig } from "../../../packages/chartConfiguration/echarts/axis.mjs";
import { legendConfig } from "../../../packages/chartConfiguration/echarts/legend.mjs";
import SettingItem from "./SettingItem.vue2.mjs";
import SettingItemBox from "./SettingItemBox.vue.mjs";
import _sfc_main$1 from "./CollapseItem.vue.mjs";
import "../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.mjs";
import "../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.mjs";
import "../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.mjs";
import "../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.mjs";
import "../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.mjs";
import "../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../enums/pageEnum.mjs";
import "../../../router/index.mjs";
import "../../../store/modules/designStore/designStore.mjs";
import "../../../settings/designSetting.mjs";
import "../../GoLoading/index.mjs";
import "../../GoSkeleton/index.vue.mjs";
import { useChartEditStore } from "../../../store/modules/chartEditStore/chartEditStore.mjs";
import _sfc_main$2 from "./GlobalSettingPosition.vue2.mjs";
import "./StylesSetting.vue.mjs";
import { defineComponent, computed, watch, resolveComponent, openBlock, createElementBlock, createBlock, withCtx, createVNode, createCommentVNode, Fragment, renderList } from "../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref } from "../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "GlobalSetting",
  props: {
    optionData: {
      type: Object,
      required: true
    },
    inChart: {
      type: Boolean,
      required: false,
      default: false
    }
  },
  setup(__props) {
    const props = __props;
    const chartEditStore = useChartEditStore();
    computed(() => {
      const chartThemeSetting = chartEditStore.getEditCanvasConfig.chartThemeSetting;
      return chartThemeSetting;
    });
    const title = computed(() => {
      return props.optionData.title;
    });
    const xAxis = computed(() => {
      return props.optionData.xAxis;
    });
    const yAxis = computed(() => {
      return props.optionData.yAxis;
    });
    const legend = computed(() => {
      return props.optionData.legend;
    });
    const grid = computed(() => {
      return props.optionData.grid;
    });
    const visualMap = computed(() => {
      return props.optionData.visualMap;
    });
    watch(
      () => legend.value && legend.value.textStyle.color,
      (newVal) => {
        if (legend.value && newVal) {
          legend.value.pageTextStyle.color = newVal;
        }
      },
      {
        immediate: true,
        deep: true
      }
    );
    return (_ctx, _cache) => {
      const _component_n_switch = resolveComponent("n-switch");
      const _component_n_color_picker = resolveComponent("n-color-picker");
      const _component_n_input_number = resolveComponent("n-input-number");
      const _component_n_input = resolveComponent("n-input");
      const _component_n_space = resolveComponent("n-space");
      const _component_n_select = resolveComponent("n-select");
      return openBlock(), createElementBlock(Fragment, null, [
        title.value ? (openBlock(), createBlock(unref(_sfc_main$1), {
          key: 0,
          name: "标题"
        }, {
          header: withCtx(() => [
            createVNode(_component_n_switch, {
              value: title.value.show,
              "onUpdate:value": _cache[0] || (_cache[0] = ($event) => title.value.show = $event),
              size: "small"
            }, null, 8, ["value"])
          ]),
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), { name: "标题" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      value: title.value.textStyle.color,
                      "onUpdate:value": _cache[1] || (_cache[1] = ($event) => title.value.textStyle.color = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "大小" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: title.value.textStyle.fontSize,
                      "onUpdate:value": _cache[2] || (_cache[2] = ($event) => title.value.textStyle.fontSize = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "副标题" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      value: title.value.subtextStyle.color,
                      "onUpdate:value": _cache[3] || (_cache[3] = ($event) => title.value.subtextStyle.color = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "大小" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: title.value.subtextStyle.fontSize,
                      "onUpdate:value": _cache[4] || (_cache[4] = ($event) => title.value.subtextStyle.fontSize = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        })) : createCommentVNode("", true),
        grid.value ? (openBlock(), createBlock(unref(_sfc_main$1), {
          key: 1,
          name: "容器"
        }, {
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), { name: "距离" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "左侧距离" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input, {
                      value: grid.value.left,
                      "onUpdate:value": _cache[5] || (_cache[5] = ($event) => grid.value.left = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "右侧距离" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input, {
                      value: grid.value.right,
                      "onUpdate:value": _cache[6] || (_cache[6] = ($event) => grid.value.right = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "上侧距离" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input, {
                      value: grid.value.top,
                      "onUpdate:value": _cache[7] || (_cache[7] = ($event) => grid.value.top = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "下侧距离" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input, {
                      value: grid.value.bottom,
                      "onUpdate:value": _cache[8] || (_cache[8] = ($event) => grid.value.bottom = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        })) : createCommentVNode("", true),
        xAxis.value ? (openBlock(), createBlock(unref(_sfc_main$1), {
          key: 2,
          name: "X轴"
        }, {
          header: withCtx(() => [
            createVNode(_component_n_switch, {
              value: xAxis.value.show,
              "onUpdate:value": _cache[9] || (_cache[9] = ($event) => xAxis.value.show = $event),
              size: "small"
            }, null, 8, ["value"])
          ]),
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), { name: "单位" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "名称" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input, {
                      value: xAxis.value.name,
                      "onUpdate:value": _cache[10] || (_cache[10] = ($event) => xAxis.value.name = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      value: xAxis.value.nameTextStyle.color,
                      "onUpdate:value": _cache[11] || (_cache[11] = ($event) => xAxis.value.nameTextStyle.color = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "大小" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: xAxis.value.nameTextStyle.fontSize,
                      "onUpdate:value": _cache[12] || (_cache[12] = ($event) => xAxis.value.nameTextStyle.fontSize = $event),
                      min: 12,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "偏移量" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: xAxis.value.nameGap,
                      "onUpdate:value": _cache[13] || (_cache[13] = ($event) => xAxis.value.nameGap = $event),
                      min: 5,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "标签" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "展示" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: xAxis.value.axisLabel.show,
                          "onUpdate:value": _cache[14] || (_cache[14] = ($event) => xAxis.value.axisLabel.show = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      value: xAxis.value.axisLabel.color,
                      "onUpdate:value": _cache[15] || (_cache[15] = ($event) => xAxis.value.axisLabel.color = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "大小" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: xAxis.value.axisLabel.fontSize,
                      "onUpdate:value": _cache[16] || (_cache[16] = ($event) => xAxis.value.axisLabel.fontSize = $event),
                      min: 8,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "偏移量" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: xAxis.value.axisLabel.rotate,
                      "onUpdate:value": _cache[17] || (_cache[17] = ($event) => xAxis.value.axisLabel.rotate = $event),
                      min: -90,
                      max: 90,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "轴线" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "展示" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: xAxis.value.axisLine.show,
                          "onUpdate:value": _cache[18] || (_cache[18] = ($event) => xAxis.value.axisLine.show = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      value: xAxis.value.axisLine.lineStyle.color,
                      "onUpdate:value": _cache[19] || (_cache[19] = ($event) => xAxis.value.axisLine.lineStyle.color = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "粗细" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: xAxis.value.axisLine.lineStyle.width,
                      "onUpdate:value": _cache[20] || (_cache[20] = ($event) => xAxis.value.axisLine.lineStyle.width = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "位置" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: xAxis.value.position,
                      "onUpdate:value": _cache[21] || (_cache[21] = ($event) => xAxis.value.position = $event),
                      size: "small",
                      options: unref(axisConfig).xposition
                    }, null, 8, ["value", "options"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "对齐零" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: xAxis.value.axisLine.onZero,
                          "onUpdate:value": _cache[22] || (_cache[22] = ($event) => xAxis.value.axisLine.onZero = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "反向" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: xAxis.value.inverse,
                          "onUpdate:value": _cache[23] || (_cache[23] = ($event) => xAxis.value.inverse = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "刻度" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "展示" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: xAxis.value.axisTick.show,
                          "onUpdate:value": _cache[24] || (_cache[24] = ($event) => xAxis.value.axisTick.show = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "长度" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: xAxis.value.axisTick.length,
                      "onUpdate:value": _cache[25] || (_cache[25] = ($event) => xAxis.value.axisTick.length = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "分割线" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "展示" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: xAxis.value.splitLine.show,
                          "onUpdate:value": _cache[26] || (_cache[26] = ($event) => xAxis.value.splitLine.show = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      value: xAxis.value.splitLine.lineStyle.color,
                      "onUpdate:value": _cache[27] || (_cache[27] = ($event) => xAxis.value.splitLine.lineStyle.color = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "粗细" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: xAxis.value.splitLine.lineStyle.width,
                      "onUpdate:value": _cache[28] || (_cache[28] = ($event) => xAxis.value.splitLine.lineStyle.width = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "类型" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: xAxis.value.splitLine.lineStyle.type,
                      "onUpdate:value": _cache[29] || (_cache[29] = ($event) => xAxis.value.splitLine.lineStyle.type = $event),
                      size: "small",
                      options: unref(axisConfig).splitLint.lineStyle.type
                    }, null, 8, ["value", "options"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        })) : createCommentVNode("", true),
        yAxis.value ? (openBlock(), createBlock(unref(_sfc_main$1), {
          key: 3,
          name: "Y轴"
        }, {
          header: withCtx(() => [
            createVNode(_component_n_switch, {
              value: yAxis.value.show,
              "onUpdate:value": _cache[30] || (_cache[30] = ($event) => yAxis.value.show = $event),
              size: "small"
            }, null, 8, ["value"])
          ]),
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), { name: "单位" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "名称" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input, {
                      value: yAxis.value.name,
                      "onUpdate:value": _cache[31] || (_cache[31] = ($event) => yAxis.value.name = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      value: yAxis.value.nameTextStyle.color,
                      "onUpdate:value": _cache[32] || (_cache[32] = ($event) => yAxis.value.nameTextStyle.color = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "大小" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: yAxis.value.nameTextStyle.fontSize,
                      "onUpdate:value": _cache[33] || (_cache[33] = ($event) => yAxis.value.nameTextStyle.fontSize = $event),
                      min: 8,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "偏移量" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: yAxis.value.nameGap,
                      "onUpdate:value": _cache[34] || (_cache[34] = ($event) => yAxis.value.nameGap = $event),
                      min: 5,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "标签" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "展示" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: yAxis.value.axisLabel.show,
                          "onUpdate:value": _cache[35] || (_cache[35] = ($event) => yAxis.value.axisLabel.show = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      value: yAxis.value.axisLabel.color,
                      "onUpdate:value": _cache[36] || (_cache[36] = ($event) => yAxis.value.axisLabel.color = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "大小" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: yAxis.value.axisLabel.fontSize,
                      "onUpdate:value": _cache[37] || (_cache[37] = ($event) => yAxis.value.axisLabel.fontSize = $event),
                      min: 8,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "偏移量" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: yAxis.value.axisLabel.rotate,
                      "onUpdate:value": _cache[38] || (_cache[38] = ($event) => yAxis.value.axisLabel.rotate = $event),
                      min: -90,
                      max: 90,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "轴线" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "展示" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: yAxis.value.axisLine.show,
                          "onUpdate:value": _cache[39] || (_cache[39] = ($event) => yAxis.value.axisLine.show = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      value: yAxis.value.axisLine.lineStyle.color,
                      "onUpdate:value": _cache[40] || (_cache[40] = ($event) => yAxis.value.axisLine.lineStyle.color = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "粗细" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: yAxis.value.axisLine.lineStyle.width,
                      "onUpdate:value": _cache[41] || (_cache[41] = ($event) => yAxis.value.axisLine.lineStyle.width = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "位置" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: yAxis.value.position,
                      "onUpdate:value": _cache[42] || (_cache[42] = ($event) => yAxis.value.position = $event),
                      size: "small",
                      options: unref(axisConfig).yposition
                    }, null, 8, ["value", "options"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "对齐零" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: yAxis.value.axisLine.onZero,
                          "onUpdate:value": _cache[43] || (_cache[43] = ($event) => yAxis.value.axisLine.onZero = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "反向" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: yAxis.value.inverse,
                          "onUpdate:value": _cache[44] || (_cache[44] = ($event) => yAxis.value.inverse = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "刻度" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "展示" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: yAxis.value.axisTick.show,
                          "onUpdate:value": _cache[45] || (_cache[45] = ($event) => yAxis.value.axisTick.show = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "长度" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: yAxis.value.axisTick.length,
                      "onUpdate:value": _cache[46] || (_cache[46] = ($event) => yAxis.value.axisTick.length = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "分割线" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "展示" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: yAxis.value.splitLine.show,
                          "onUpdate:value": _cache[47] || (_cache[47] = ($event) => yAxis.value.splitLine.show = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      value: yAxis.value.splitLine.lineStyle.color,
                      "onUpdate:value": _cache[48] || (_cache[48] = ($event) => yAxis.value.splitLine.lineStyle.color = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "粗细" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: yAxis.value.splitLine.lineStyle.width,
                      "onUpdate:value": _cache[49] || (_cache[49] = ($event) => yAxis.value.splitLine.lineStyle.width = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "类型" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: yAxis.value.splitLine.lineStyle.type,
                      "onUpdate:value": _cache[50] || (_cache[50] = ($event) => yAxis.value.splitLine.lineStyle.type = $event),
                      size: "small",
                      options: unref(axisConfig).splitLint.lineStyle.type
                    }, null, 8, ["value", "options"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        })) : createCommentVNode("", true),
        legend.value ? (openBlock(), createBlock(unref(_sfc_main$1), {
          key: 4,
          name: "图例"
        }, {
          header: withCtx(() => [
            createVNode(_component_n_switch, {
              value: legend.value.show,
              "onUpdate:value": _cache[51] || (_cache[51] = ($event) => legend.value.show = $event),
              size: "small"
            }, null, 8, ["value"])
          ]),
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), { name: "图例文字" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      value: legend.value.textStyle.color,
                      "onUpdate:value": _cache[52] || (_cache[52] = ($event) => legend.value.textStyle.color = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "大小" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: legend.value.textStyle.fontSize,
                      "onUpdate:value": _cache[53] || (_cache[53] = ($event) => legend.value.textStyle.fontSize = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "图例位置" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "x轴" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: legend.value.x,
                      "onUpdate:value": _cache[54] || (_cache[54] = ($event) => legend.value.x = $event),
                      size: "small",
                      options: unref(legendConfig).lengendX
                    }, null, 8, ["value", "options"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "y轴" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: legend.value.y,
                      "onUpdate:value": _cache[55] || (_cache[55] = ($event) => legend.value.y = $event),
                      size: "small",
                      options: unref(legendConfig).lengendY
                    }, null, 8, ["value", "options"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "图例信息" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "方向" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: legend.value.orient,
                      "onUpdate:value": _cache[56] || (_cache[56] = ($event) => legend.value.orient = $event),
                      size: "small",
                      options: unref(legendConfig).orient
                    }, null, 8, ["value", "options"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "形状" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: legend.value.icon,
                      "onUpdate:value": _cache[57] || (_cache[57] = ($event) => legend.value.icon = $event),
                      size: "small",
                      options: unref(legendConfig).shape
                    }, null, 8, ["value", "options"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "图例大小" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "宽" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: legend.value.itemWidth,
                      "onUpdate:value": _cache[58] || (_cache[58] = ($event) => legend.value.itemWidth = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "高" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: legend.value.itemHeight,
                      "onUpdate:value": _cache[59] || (_cache[59] = ($event) => legend.value.itemHeight = $event),
                      min: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        })) : createCommentVNode("", true),
        visualMap.value ? (openBlock(), createBlock(unref(_sfc_main$1), {
          key: 5,
          name: "视觉映射"
        }, {
          header: withCtx(() => [
            createVNode(_component_n_switch, {
              value: visualMap.value.show,
              "onUpdate:value": _cache[60] || (_cache[60] = ($event) => visualMap.value.show = $event),
              size: "small"
            }, null, 8, ["value"])
          ]),
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), { name: "范围" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "最小值" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: visualMap.value.min,
                      "onUpdate:value": _cache[61] || (_cache[61] = ($event) => visualMap.value.min = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "最大值" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: visualMap.value.max,
                      "onUpdate:value": _cache[62] || (_cache[62] = ($event) => visualMap.value.max = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "颜色" }, {
              default: withCtx(() => [
                (openBlock(true), createElementBlock(Fragment, null, renderList(visualMap.value.inRange.color, (item, index) => {
                  return openBlock(), createBlock(unref(SettingItem), {
                    name: `层级-${index + 1}`,
                    key: index
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_n_color_picker, {
                        value: visualMap.value.inRange.color[index],
                        "onUpdate:value": ($event) => visualMap.value.inRange.color[index] = $event,
                        size: "small"
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1032, ["name"]);
                }), 128))
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "控制块" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "放置方向" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: visualMap.value.orient,
                      "onUpdate:value": _cache[63] || (_cache[63] = ($event) => visualMap.value.orient = $event),
                      size: "small",
                      options: unref(axisConfig).visualMap.orient
                    }, null, 8, ["value", "options"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "宽度" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: visualMap.value.itemWidth,
                      "onUpdate:value": _cache[64] || (_cache[64] = ($event) => visualMap.value.itemWidth = $event),
                      min: 5,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "高度" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: visualMap.value.itemHeight,
                      "onUpdate:value": _cache[65] || (_cache[65] = ($event) => visualMap.value.itemHeight = $event),
                      min: 5,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "反转" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: visualMap.value.inverse,
                          "onUpdate:value": _cache[66] || (_cache[66] = ($event) => visualMap.value.inverse = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "拖拽组件实时更新" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_switch, {
                          value: visualMap.value.realtime,
                          "onUpdate:value": _cache[67] || (_cache[67] = ($event) => visualMap.value.realtime = $event),
                          size: "small"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(_sfc_main$2), { targetData: visualMap.value }, null, 8, ["targetData"])
          ]),
          _: 1
        })) : createCommentVNode("", true)
      ], 64);
    };
  }
});
export {
  _sfc_main as default
};
